<?php get_header(); ?>
  <main class="main-content">
    <div class="hero">
      <div class="hero-half-background" data-bg-image="<?php echo get_theme_mod( 'tz_home_intro_bg' ); ?>"></div>
      <div class="container">
        <div class="row">
          <div class="col-md-5">
            <div class="hero-content">
              <h2 class="hero-title"><?php _e( 'Page not found', 'realestate' ); ?></h2>
              <p><?php _e( 'It looks like you are lost.', 'realestate' ); ?> <a href="<?php echo home_url(); ?>" style="color: #444"><?php _e( 'Click here', 'realestate' ); ?></a> <?php _e( 'to go to homepage', 'realestate' ); ?></p>
              <span class="arrow"></span>
            </div>
          </div> <!-- .col-md-5 -->
          <div class="col-md-5 col-md-offset-2">
            <div class="request-form">
              <h2><?php echo get_theme_mod( 'tz_home_contact_title' ); ?></h2>
              <p><?php echo get_theme_mod( 'tz_home_contact_description' ); ?></p>

              <div id="response"></div>

              <form action="#" id="contact-form">
                <div class="field">
                  <label for="#"><?php _e( 'Your name:', 'realestate' ); ?></label>
                  <input type="text" name="name">
                </div> <!-- .field -->
                <div class="field-column row">
                  <div class="col-sm-6">
                    <div class="field">
                      <label for=""><?php _e( 'Email:', 'realestate' ); ?></label>
                      <input type="text" name="email">
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="field">
                      <label for=""><?php _e( 'Phone:', 'realestate' ); ?></label>
                      <input type="text" name="phone">
                    </div>
                  </div>
                </div> <!-- .field-column -->
                <div class="field">
                  <label for="#"><?php _e( 'Street:', 'realestate' ); ?></label>
                  <input type="text" name="street">
                </div> <!-- .field -->
                <div class="field">
                  <label for="#"><?php _e( 'City:', 'realestate' ); ?></label>
                  <input type="text" name="city">
                </div> <!-- .field -->
                <div class="submit"><input type="submit" value="<?php _e( 'Send a request', 'realestate' ); ?>"></div>
              </form>
            </div> <!-- .request-form -->
          </div> <!-- .col-md-5 -->
        </div> <!-- .row -->
      </div> <!-- .container -->
    </div> <!-- .hero -->

    <div class="fullwidth-block">
      <div class="container">
        <div class="cta">
          <header>
            <h2 class="section-title"><?php echo get_theme_mod( 'tz_footer_title' ); ?></h2>
            <p class="section-desc"><?php echo get_theme_mod( 'tz_footer_description' ); ?></p>
          </header>

          <p><a href="tel:<?php echo get_theme_mod( 'tz_footer_phone_number' ); ?>" class="tel"><?php echo get_theme_mod( 'tz_footer_phone_number' ); ?></a></p>
          <p><a href="mailto:<?php echo get_theme_mod( 'tz_contact_email' ); ?>" class="email"><?php echo get_theme_mod( 'tz_contact_email' ); ?></a></p>

        </div>
      </div> <!-- .container -->
    </div> <!-- .fullwidth-block -->
  </main>
<?php get_footer(); ?>
