<?php

add_action( 'customize_register' , array( 'tz_customizer' , 'register' ) );
class tz_customizer {
  public static function register ( $wp_customize ) {
    $wp_customize->add_panel( 'themezy', array(
      'priority'       => 5,
      'capability'     => 'edit_theme_options',
      'theme_supports' => '',
      'title'          => 'Themezy',
      'description'    => 'Several settings pertaining on the theme',
    ) );

    $wp_customize->add_section( 'tz_general',
       array(
          'title' => 'General',
          'priority' => 35,
          'capability' => 'edit_theme_options',
          'description' => 'Allows you to customize some general settings for the theme.',
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_logo', array( 'sanitize_callback' => 'esc_url' ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'tz_logo', array(
        'label'    => 'Logo',
        'section'  => 'tz_general',
        'settings' => 'tz_logo',
    ) ) );

    $wp_customize->add_setting( 'tz_home_intro_bg', array( 'sanitize_callback' => 'esc_url' ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'tz_home_intro_bg', array(
        'label'    => 'Intro background (home)',
        'section'  => 'tz_general',
        'settings' => 'tz_home_intro_bg',
    ) ) );

    $wp_customize->add_setting( 'tz_home_intro_title', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_home_intro_title', array(
        'label'    => 'Intro title (home)',
        'section'  => 'tz_general',
        'settings' => 'tz_home_intro_title',
    ) ) );

    $wp_customize->add_setting( 'tz_home_intro_description', array( 'sanitize_callback' => 'esc_textarea' ) );

    $wp_customize->add_control( new Textarea_Custom_Control( $wp_customize, 'tz_home_intro_description', array(
        'label'    => 'Intro description (home)',
        'section'  => 'tz_general',
        'settings' => 'tz_home_intro_description',
    ) ) );

    $wp_customize->add_setting( 'tz_home_contact_title', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_home_contact_title', array(
        'label'    => 'Contact title (home)',
        'section'  => 'tz_general',
        'settings' => 'tz_home_contact_title',
    ) ) );

    $wp_customize->add_setting( 'tz_home_contact_description', array( 'sanitize_callback' => 'esc_textarea' ) );

    $wp_customize->add_control( new Textarea_Custom_Control( $wp_customize, 'tz_home_contact_description', array(
        'label'    => 'Contact description (home)',
        'section'  => 'tz_general',
        'settings' => 'tz_home_contact_description',
    ) ) );

    $wp_customize->add_setting( 'tz_subscribe_form_url', array( 'sanitize_callback' => 'esc_url' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_subscribe_form_url', array(
        'label'    => 'Subscribe form URL',
        'section'  => 'tz_general',
        'settings' => 'tz_subscribe_form_url',
    ) ) );

    $wp_customize->add_setting( 'tz_houses_page', array( 'sanitize_callback' => 'esc_html' ) );

    $wp_customize->add_control( new Page_Dropdown_Custom_Control( $wp_customize, 'tz_houses_page', array(
        'label'    => 'Select your houses page',
        'section'  => 'tz_general',
        'settings' => 'tz_houses_page',
    ) ) );

    $wp_customize->add_section( 'tz_features',
       array(
          'title' => 'Features',
          'priority' => 36,
          'capability' => 'edit_theme_options',
          'description' => 'Allows you to customize the service.',
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_home_feature_title', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_home_feature_title', array(
        'label'    => 'Feature title (home)',
        'section'  => 'tz_features',
        'settings' => 'tz_home_feature_title',
    ) ) );

    $wp_customize->add_setting( 'tz_home_feature_description', array( 'sanitize_callback' => 'esc_textarea' ) );

    $wp_customize->add_control( new Textarea_Custom_Control( $wp_customize, 'tz_home_feature_description', array(
        'label'    => 'Feature description (home)',
        'section'  => 'tz_features',
        'settings' => 'tz_home_feature_description',
    ) ) );

    $wp_customize->add_setting( 'tz_home_feature_image', array( 'sanitize_callback' => 'esc_url' ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'tz_home_feature_image', array(
        'label'    => 'Feature image (home)',
        'section'  => 'tz_features',
        'settings' => 'tz_home_feature_image',
    ) ) );

    $wp_customize->add_section( 'tz_houses',
       array(
          'title' => 'Houses',
          'priority' => 37,
          'capability' => 'edit_theme_options',
          'description' => 'Allows you to customize the house.',
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_home_house_title', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_home_house_title', array(
        'label'    => 'Recent houses title (home)',
        'section'  => 'tz_houses',
        'settings' => 'tz_home_house_title',
    ) ) );

    $wp_customize->add_setting( 'tz_home_house_description', array( 'sanitize_callback' => 'esc_textarea' ) );

    $wp_customize->add_control( new Textarea_Custom_Control( $wp_customize, 'tz_home_house_description', array(
        'label'    => 'Recent houses description (home)',
        'section'  => 'tz_houses',
        'settings' => 'tz_home_house_description',
    ) ) );

    $wp_customize->add_section( 'tz_contact',
       array(
          'title' => 'Contact',
          'priority' => 45,
          'capability' => 'edit_theme_options',
          'description' => 'Allows you to customize contact template.',
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_contact_email', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_contact_email', array(
        'type'     => 'text',
        'label'    => 'Your contact email',
        'section'  => 'tz_contact',
        'settings' => 'tz_contact_email',
    ) ) );

    $wp_customize->add_section( 'tz_social',
       array(
          'title' => 'Social Media',
          'priority' => 45,
          'capability' => 'edit_theme_options',
          'description' => 'Allows you to customize social media link.',
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_facebook', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_facebook', array(
        'type'     => 'text',
        'label'    => 'Your Facebook username',
        'section'  => 'tz_social',
        'settings' => 'tz_facebook',
    ) ) );

    $wp_customize->add_setting( 'tz_twitter', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_twitter', array(
        'type'     => 'text',
        'label'    => 'Your Twitter username',
        'section'  => 'tz_social',
        'settings' => 'tz_twitter',
    ) ) );

    $wp_customize->add_setting( 'tz_google_plus', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_google_plus', array(
        'type'     => 'text',
        'label'    => 'Your Google+ ID',
        'section'  => 'tz_social',
        'settings' => 'tz_google_plus',
    ) ) );

    $wp_customize->add_setting( 'tz_pinterest', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_pinterest', array(
        'type'     => 'text',
        'label'    => 'Your Pinterest username',
        'section'  => 'tz_social',
        'settings' => 'tz_pinterest',
    ) ) );

    $wp_customize->add_section( 'tz_footer',
       array(
          'title' => 'Footer',
          'priority' => 46,
          'capability' => 'edit_theme_options',
          'description' => 'Allows you to customize the footer.',
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_footer_title', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_footer_title', array(
        'type'     => 'text',
        'label'    => 'Footer title',
        'section'  => 'tz_footer',
        'settings' => 'tz_footer_title',
    ) ) );

    $wp_customize->add_setting( 'tz_footer_description', array( 'sanitize_callback' => 'esc_textarea' ) );

    $wp_customize->add_control( new Textarea_Custom_Control( $wp_customize, 'tz_footer_description', array(
        'type'     => 'text',
        'label'    => 'Footer description',
        'section'  => 'tz_footer',
        'settings' => 'tz_footer_description',
    ) ) );

    $wp_customize->add_setting( 'tz_company_name', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_company_name', array(
        'type'     => 'text',
        'label'    => 'Company name',
        'section'  => 'tz_footer',
        'settings' => 'tz_company_name',
    ) ) );

    $wp_customize->add_setting( 'tz_company_address', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_company_address', array(
        'type'     => 'text',
        'label'    => 'Company address',
        'section'  => 'tz_footer',
        'settings' => 'tz_company_address',
    ) ) );

    $wp_customize->add_setting( 'tz_footer_phone_number', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_footer_phone_number', array(
        'type'     => 'text',
        'label'    => 'Your company phone number',
        'section'  => 'tz_footer',
        'settings' => 'tz_footer_phone_number',
    ) ) );

    $wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
    $wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
    $wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
    $wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
   }
}
