<?php get_header(); ?>
  <main class="main-content">
    <div class="hero">
      <div class="hero-half-background" data-bg-image="<?php echo get_theme_mod( 'tz_home_intro_bg' ); ?>"></div>
      <div class="container">
        <div class="row">
          <div class="col-md-5">
            <div class="hero-content">
              <h2 class="hero-title"><?php echo get_theme_mod( 'tz_home_intro_title' ); ?></h2>
              <p><?php echo get_theme_mod( 'tz_home_intro_description' ); ?></p>
              <span class="arrow"></span>
            </div>
          </div> <!-- .col-md-5 -->
          <div class="col-md-5 col-md-offset-2">
            <div class="request-form">
              <h2><?php echo get_theme_mod( 'tz_home_contact_title' ); ?></h2>
              <p><?php echo get_theme_mod( 'tz_home_contact_description' ); ?></p>

              <div id="response"></div>

              <form action="#" id="contact-form">
                <div class="field">
                  <label for="#">Your name:</label>
                  <input type="text" name="name">
                </div> <!-- .field -->
                <div class="field-column row">
                  <div class="col-sm-6">
                    <div class="field">
                      <label for="">Email:</label>
                      <input type="text" name="email">
                    </div>
                  </div>
                  <div class="col-sm-6">
                    <div class="field">
                      <label for="">Phone:</label>
                      <input type="text" name="phone">
                    </div>
                  </div>
                </div> <!-- .field-column -->
                <div class="field">
                  <label for="#">Street:</label>
                  <input type="text" name="street">
                </div> <!-- .field -->
                <div class="field">
                  <label for="#">City:</label>
                  <input type="text" name="city">
                </div> <!-- .field -->
                <div class="submit"><input type="submit" value="Send a request"></div>
              </form>
            </div> <!-- .request-form -->
          </div> <!-- .col-md-5 -->
        </div> <!-- .row -->
      </div> <!-- .container -->
    </div> <!-- .hero -->

    <div class="fullwidth-block">
      <div class="container">
        <header>
          <h2 class="section-title"><?php echo get_theme_mod( 'tz_home_feature_title' ); ?></h2>
          <p class="section-desc"><?php echo get_theme_mod( 'tz_home_feature_description' ); ?></p>
        </header>

        <div class="row">
          <div class="col-md-6">
            <?php
              $features = new WP_Query( array( 'post_type' => 'tz_feature', 'showposts' => 5 ) );
              if ( $features->have_posts() ) {
            ?>
              <ul class="circle-numbered-feature">
                <?php while( $features->have_posts() ) { $features->the_post(); ?>
                  <li>
                    <h3><?php the_title(); ?></h3>
                    <?php the_content(); ?>
                  </li>
                <?php } ?>
              </ul>
            <?php } wp_reset_query(); ?>
          </div>
          <div class="col-md-5 col-md-offset-1">
            <figure>
              <img src="<?php echo get_theme_mod( 'tz_home_feature_image' ); ?>" alt="">
            </figure>
          </div>
        </div>
      </div>
    </div> <!-- .fullwidth-block -->

    <div class="fullwidth-block" data-bg-color="#2f2e3c">
      <div class="container">
        <header bg-dark>
          <h2 class="section-title"><?php echo get_theme_mod( 'tz_home_house_title' ); ?></h2>
          <p class="section-desc"><?php echo get_theme_mod( 'tz_home_house_description' ); ?></p>
        </header>

        <?php
          $houses = new WP_Query( array( 'post_type' => 'tz_house', 'showposts' => 6 ) );
          if ( $houses->have_posts() ) {
        ?>
          <div class="posts-list">
            <?php while( $houses->have_posts() ) { $houses->the_post(); ?>
              <div id="post-<?php the_ID(); ?>" <?php post_class( 'post' ); ?>>
                <div class="post-content">
                  <figure class="featured-image"><img src="<?php the_post_thumbnail_url( 'tz_home_house' ); ?>" alt="<?php the_title(); ?>" width="205" height="205"></figure>
                  <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                  <p><?php echo get_post_meta( get_the_ID(), '_tz_house_summary', true ); ?></p>
                  <strong class="price"><?php echo get_post_meta( get_the_ID(), '_tz_house_price', true ); ?></strong>
                </div>
              </div>
            <?php } ?>
          </div>
        <?php } wp_reset_query(); ?>

        <p class="text-center">
          <a href="<?php echo get_page_link( get_theme_mod( 'tz_houses_page' ) ); ?>" class="button">See more houses</a>
        </p>
      </div> <!-- .container -->
    </div> <!-- .fullwidth-block -->

    <div class="fullwidth-block">
      <div class="container">
        <?php
          $houses = new WP_Query( array( 'post_type' => 'tz_house', 'orderby' => 'rand', 'showposts' => 6 ) );
          if ( $houses->have_posts() ) {
        ?>
          <div class="post-grid">
            <?php while( $houses->have_posts() ) { $houses->the_post(); ?>
              <div class="post">
                <figure class="featured-image"><img src="<?php the_post_thumbnail_url( 'full' ); ?>" alt="" width="570" height="373" /></figure>
                <div class="post-detail">
                  <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                  <p><?php echo get_post_meta( get_the_ID(), '_tz_house_summary', true ); ?></p>
                  <span class="arrow"></span>
                </div> <!-- .post-detail -->
              </div> <!-- .post -->
            <?php } ?>
          </div>
        <?php } wp_reset_query(); ?>

        <div class="cta">
          <header>
            <h2 class="section-title"><?php echo get_theme_mod( 'tz_footer_title' ); ?></h2>
            <p class="section-desc"><?php echo get_theme_mod( 'tz_footer_description' ); ?></p>
          </header>

          <p><a href="tel:<?php echo get_theme_mod( 'tz_footer_phone_number' ); ?>" class="tel"><?php echo get_theme_mod( 'tz_footer_phone_number' ); ?></a></p>
          <p><a href="mailto:<?php echo get_theme_mod( 'tz_contact_email' ); ?>" class="email"><?php echo get_theme_mod( 'tz_contact_email' ); ?></a></p>

        </div>
      </div> <!-- .container -->
    </div> <!-- .fullwidth-block -->
  </main>
<?php get_footer(); ?>
