<?php get_header(); ?>
  <?php while( have_posts() ) { the_post(); ?>
    <main class="main-content">
      <div class="hero">
        <div class="featured-image" data-bg-image="<?php echo get_post_meta( get_the_ID(), '_tz_house_large_image', true ); ?>">
          <a href="<?php echo home_url(); ?>" class="button">Back to homepage</a>
        </div>
      </div> <!-- .hero -->

      <div class="fullwidth-block content">
        <div class="container">
          <p class="leading"><?php the_title(); ?></p>
          <?php
            the_content();

            wp_link_pages( array(
              'before'      => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'realestate' ) . '</span>',
              'after'       => '</div>',
              'link_before' => '<span>',
              'link_after'  => '</span>',
              'pagelink'    => '<span class="screen-reader-text">' . __( 'Page', 'realestate' ) . ' </span>%',
              'separator'   => '<span class="screen-reader-text">, </span>',
            ) );
          ?>

          <div class="house-feature">
            <?php if ( get_post_meta( get_the_ID(), '_tz_house_feature_title1', true ) ) { ?>
              <div class="feature">
                <div class="feature-image">
                  <img src="<?php echo get_post_meta( get_the_ID(), '_tz_house_feature_image1', true ); ?>" alt="" />
                </div>
                <div class="feature-desc">
                  <h2><?php echo get_post_meta( get_the_ID(), '_tz_house_feature_title1', true ); ?></h2>
                  <p><?php echo get_post_meta( get_the_ID(), '_tz_house_feature_description1', true ); ?></p>
                </div>
              </div>
            <?php } ?>
            <?php if ( get_post_meta( get_the_ID(), '_tz_house_feature_title2', true ) ) { ?>
              <div class="feature">
                <div class="feature-image">
                  <img src="<?php echo get_post_meta( get_the_ID(), '_tz_house_feature_image2', true ); ?>" alt="" />
                </div>
                <div class="feature-desc">
                  <h2><?php echo get_post_meta( get_the_ID(), '_tz_house_feature_title2', true ); ?></h2>
                  <p><?php echo get_post_meta( get_the_ID(), '_tz_house_feature_description2', true ); ?></p>
                </div>
              </div>
            <?php } ?>
            <?php if ( get_post_meta( get_the_ID(), '_tz_house_feature_title3', true ) ) { ?>
              <div class="feature">
                <div class="feature-image">
                  <img src="<?php echo get_post_meta( get_the_ID(), '_tz_house_feature_image3', true ); ?>" alt="" />
                </div>
                <div class="feature-desc">
                  <h2><?php echo get_post_meta( get_the_ID(), '_tz_house_feature_title3', true ); ?></h2>
                  <p><?php echo get_post_meta( get_the_ID(), '_tz_house_feature_description3', true ); ?></p>
                </div>
              </div>
            <?php } ?>
          </div>

          <div class="price-area">
            <div class="row">
              <div class="col-md-4 col-md-offset-1">
                <h2 class="price">Price: <strong><?php echo get_post_meta( get_the_ID(), '_tz_house_price', true ); ?></strong></h2>

                <p><?php echo get_post_meta( get_the_ID(), '_tz_house_price_description', true ); ?></p>
              </div>

              <div class="col-md-5 col-md-offset-1">
                <div class="request-form">
                  <div id="response"></div>

                  <form action="#" id="contact-form">
                    <div class="field">
                      <label for="#">Your name:</label>
                      <input type="text" name="name">
                    </div> <!-- .field -->
                    <div class="field-column row">
                      <div class="col-sm-6">
                        <div class="field">
                          <label for="">Email:</label>
                          <input type="text" name="email">
                        </div>
                      </div>
                      <div class="col-sm-6">
                        <div class="field">
                          <label for="">Phone:</label>
                          <input type="text" name="phone">
                        </div>
                      </div>
                    </div> <!-- .field-column -->
                    <div class="field">
                      <label for="#">Street:</label>
                      <input type="text" name="street">
                    </div> <!-- .field -->
                    <div class="field">
                      <label for="#">City:</label>
                      <input type="text" name="city">
                    </div> <!-- .field -->
                    <div class="submit"><input type="submit" value="Send a request"></div>
                  </form>
                </div> <!-- .request-form -->
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
  <?php } ?>
<?php get_footer(); ?>
