<?php

/**
 * Template Name: Houses
 */

get_header();

?>
  <main class="main-content">

    <div class="fullwidth-block" data-bg-color="#2f2e3c" style="margin-top: 40px;">
      <div class="container">
        <?php
          if ( get_query_var('paged') )
            $paged = get_query_var('paged');
          if ( get_query_var('page') )
            $paged = get_query_var('page');

          $houses = new WP_Query( array( 'post_type' => 'tz_house', 'posts_per_page' => get_option( 'posts_per_page' ), 'paged' => $paged ) );
          if ( $houses->have_posts() ) {
        ?>
          <div class="posts-list">
            <?php while( $houses->have_posts() ) { $houses->the_post(); ?>
              <div class="post">
                <div class="post-content">
                  <figure class="featured-image"><img src="<?php the_post_thumbnail_url( 'tz_home_house' ); ?>" alt="<?php the_title(); ?>" width="205" height="205"></figure>
                  <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                  <p><?php echo get_post_meta( get_the_ID(), '_tz_house_summary', true ); ?></p>
                  <strong class="price"><?php echo get_post_meta( get_the_ID(), '_tz_house_price', true ); ?></strong>
                </div>
              </div>
            <?php } ?>
          </div>
        <?php } wp_reset_query(); ?>

        <p class="text-center">
          <?php next_posts_link( 'Older', $houses->max_num_pages ); ?>
          <?php previous_posts_link( 'Newest' ); ?>
        </p>
      </div> <!-- .container -->
    </div> <!-- .fullwidth-block -->

    <div class="fullwidth-block">
      <div class="container">
        <div class="cta">
          <header>
            <h2 class="section-title"><?php echo get_theme_mod( 'tz_footer_title' ); ?></h2>
            <p class="section-desc"><?php echo get_theme_mod( 'tz_footer_description' ); ?></p>
          </header>

          <p><a href="tel:<?php echo get_theme_mod( 'tz_footer_phone_number' ); ?>" class="tel"><?php echo get_theme_mod( 'tz_footer_phone_number' ); ?></a></p>
          <p><a href="mailto:<?php echo get_theme_mod( 'tz_contact_email' ); ?>" class="email"><?php echo get_theme_mod( 'tz_contact_email' ); ?></a></p>

        </div>
      </div> <!-- .container -->
    </div> <!-- .fullwidth-block -->
  </main>
<?php get_footer(); ?>
