<?php

add_action( 'init', 'tz_house_posttype', 0 );
function tz_house_posttype() {
	$labels = array(
		'name'                  => 'Houses',
		'singular_name'         => 'House',
		'menu_name'             => 'Houses',
		'name_admin_bar'        => 'House',
		'archives'              => 'House Archives',
		'parent_item_colon'     => 'Parent House:',
		'all_items'             => 'All Houses',
		'add_new_item'          => 'Add New House',
		'add_new'               => 'Add New',
		'new_item'              => 'New House',
		'edit_item'             => 'Edit House',
		'update_item'           => 'Update House',
		'view_item'             => 'View House',
		'search_items'          => 'Search House',
		'not_found'             => 'Not found',
		'not_found_in_trash'    => 'Not found in Trash',
		'featured_image'        => 'Featured Image',
		'set_featured_image'    => 'Set featured image',
		'remove_featured_image' => 'Remove featured image',
		'use_featured_image'    => 'Use as featured image',
		'insert_into_item'      => 'Insert into house',
		'uploaded_to_this_item' => 'Uploaded to this house',
		'items_list'            => 'Houses list',
		'items_list_navigation' => 'Houses list navigation',
		'filter_items_list'     => 'Filter houses list',
	);
	$args = array(
		'label'                 => 'House',
		'description'           => 'A house post type',
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', 'editor' ),
		'hierarchical'          => true,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => false,
		'exclude_from_search'   => true,
		'publicly_queryable'    => true,
		'rewrite'               => array( 'slug' => 'house' ),
		'capability_type'       => 'page',
	);

	register_post_type( 'tz_house', $args );
}

add_action( 'init', 'tz_house_type', 0 );
function tz_house_type() {
	$labels = array(
		'name'                       => 'Types',
		'singular_name'              => 'Type',
		'menu_name'                  => 'Types',
		'all_items'                  => 'All Types',
		'parent_item'                => 'Parent Type',
		'parent_item_colon'          => 'Parent Type:',
		'new_item_name'              => 'New Type Name',
		'add_new_item'               => 'Add New Type',
		'edit_item'                  => 'Edit Type',
		'update_item'                => 'Update Type',
		'view_item'                  => 'View Type',
		'separate_items_with_commas' => 'Separate types with commas',
		'add_or_remove_items'        => 'Add or remove types',
		'choose_from_most_used'      => 'Choose from the most used',
		'popular_items'              => 'Popular Types',
		'search_items'               => 'Search Types',
		'not_found'                  => 'Not Found',
		'no_terms'                   => 'No types',
		'items_list'                 => 'Types list',
		'items_list_navigation'      => 'Types list navigation',
	);
}
